#!/bin/sh
#
#   File:    vxprint.sh
#   Author:  Carsten Lorbeer
#   Version: 1.0 99/09/01 16:43:54
#   Created: Sept. 1, 1999
#
#   Copyright (c) Sun Microsystems
#
#   Script calls vxprint command
#
#   Arguments:
#     - any vxprint argument
#
#   Errors saved in /tmp/vxprint.sh.out
# 05/22/2001    Carsten Lorbeer Use content to determine the location
#               of the vxprint command.

PROGNAME=`basename $0`
ERRFILE=/tmp/$PROGNAME.out
PkgInstallLog=/var/sadm/install/contents
VXPRINT=/usr/sbin/vxprint

if [ ! -x "$VXPRINT" ] ; then
        VXPRINT=`/usr/bin/grep "vxprint f" $PkgInstallLog|awk '{print $1}'`
fi

if [ -x "$VXPRINT" ]
then 
	$VXPRINT $@ 2> $ERRFILE
else
	echo "Veritas Volumemanager is not installed."
fi

exit 0
